#ifndef __BANE_H
#define __BANE_H

#include <iostream>
#include <fstream>

#include "konstanter.h"
#include "lesData3.h"
#include "rute.h"
#include "hjelpeFunksjoner.h"

class Bane : public Rute {
   private:
    int antallVogner;
    int baneLengde;
    HjelpeFunksjoner hjelp;

   public:
    Bane();
    virtual ~Bane();
    void lesData();
    void skrivData();
    void skrivType();
    void skrivDataForlengs();
    void skrivDataBaklengs();
    void lesFraFil(std::ifstream &inn);
    void skrivTilFil(std::ofstream &ut);
};

#endif  // __BANE_H